#
# spec file for package splint
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           splint
Version:        3.1.2
Release:        lp152.3.48
Summary:        A tool for statically checking C programs
License:        GPL-2.0+
Group:          Development/Languages/C and C++
Url:            http://www.splint.org/
Source0:        http://www.splint.org/downloads/splint-%{version}.src.tgz
Source1:        %{name}-rpmlintrc
Patch0:         %{name}-3.1.2-fixes.patch
# PATCH-FIX-OPENSUSE https://github.com/ravenexp/splint/issues/8
Patch1:         splint-3.1.2-build-date-override.patch
BuildRequires:  flex

%description
With minimal effort, LCLint can be used as a better lint.  If additional
effort is invested adding annotations to programs, LCLint can perform
stronger checks than can be done by any standard lint.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
# Parallel build fails at linking
make --jobs=1 LDFLAGS="-lfl" V=1

%check
make %{?_smp_mflags} test

%install
%make_install
rm -f doc/html/{header,footer}.html

%files
%defattr(644,root,root,755)
%doc README doc/manual.pdf doc/html doc/manual.css
%{_datadir}/splint/
%{_mandir}/man1/*
%defattr(755,root,root)
%{_bindir}/*

%changelog
* Mon Sep 18 2017 mpluskal@suse.com
- Do not build in parallel as it breaks linking
* Mon Aug 14 2017 bwiedemann@suse.com
- Add splint-3.1.2-build-date-override.patch to fix build-compare (boo#1047218)
* Mon Jul 24 2017 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
- Add splint-rpmlintrc
* Mon Jul 23 2007 pgajdos@suse.cz
- updated to 3.1.2 (fixes many bugs)
* Thu Mar 29 2007 rguenther@suse.de
- add flex BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Apr 19 2004 mcihar@suse.cz
- fix return values for nonvoid functions
- stripped down neededforbuild
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Tue May 27 2003 mcihar@suse.cz
- updated to 3.1.1
* Fri Aug  2 2002 ro@suse.de
- re-packed tar-archive with 16bit uids
* Wed Jul 10 2002 mcihar@suse.cz
- renamed from lclint to splint
- new version 3.0.1.6
* Fri Jan 18 2002 cihlar@suse.cz
- repacked tar ball to remove problems on several
  build machines
* Fri Nov 30 2001 cihlar@suse.cz
- update to version 2.5r:
  * fixed include problem
* Fri Apr 20 2001 cihlar@suse.cz
- fixed warnings on ia64
* Fri Apr 13 2001 cihlar@suse.cz
- fixed to compile on axp
* Mon Feb 12 2001 cihlar@suse.cz
- fixed to compile
* Sun Feb  4 2001 bk@suse.de
- use RPM_OPT_FLAGS to use distribution(and platform) optimisations
* Thu Jan 25 2001 cihlar@suse.cz
- fixed to compile on ia64
* Mon Nov 13 2000 cihlar@suse.cz
- repacked sources to fix to compile
* Wed Nov  8 2000 cihlar@suse.cz
- upgrade to version 2.5q
- bzipped sources
- fixed copyright tag
- added make test
* Fri May 26 2000 cihlar@suse.cz
- upgrade to version 2.5m
* Mon May 15 2000 cihlar@suse.cz
- Group sorted
* Thu Mar 16 2000 cihlar@suse.cz
- upgrade to version 2.4b
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jun  8 1997 florian@suse.de
- first version of lclint 2.2a for S.u.S.E.
